Package io.vertx.reactivex.sqlclient

## Class Cursor

- java.lang.Object
- - io.vertx.reactivex.sqlclient.Cursor

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Cursor
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A cursor that reads progressively rows from the database, it is useful for reading very large result sets.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Cursor>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Cursor​(Cursor delegate)` |
    `Cursor​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Release the cursor.
    `boolean` | `equals​(Object o)` |
    `Cursor` | `getDelegate()` |
    `int` | `hashCode()` |
    `boolean` | `hasMore()` | Returns `true` when the cursor has results in progress and the `read(int)` should be called to retrieve them.
    `boolean` | `isClosed()` |
    `static Cursor` | `newInstance​(Cursor arg)` |
    `Future<RowSet<Row>>` | `read​(int count)` | Read rows from the cursor, the result is provided asynchronously to the `handler`.
    `Completable` | `rxClose()` | Release the cursor.
    `Single<RowSet<Row>>` | `rxRead​(int count)` | Read rows from the cursor, the result is provided asynchronously to the `handler`.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Cursor> __TYPE_ARG

  - ### Constructor Detail

    - #### Cursor

          public Cursor​(Cursor delegate)

    - #### Cursor

          public Cursor​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Cursor getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### read

          public Future<RowSet<Row>> read​(int count)

      Read rows from the cursor, the result is provided asynchronously to the `handler`.
      Parameters:
        `count` - the amount of rows to read
      Returns:
        a future notified with the result

    - #### rxRead

          public Single<RowSet<Row>> rxRead​(int count)

      Read rows from the cursor, the result is provided asynchronously to the `handler`.
      Parameters:
        `count` - the amount of rows to read
      Returns:
        a future notified with the result

    - #### hasMore

          public boolean hasMore()

      Returns `true` when the cursor has results in progress and the `read(int)` should be called to retrieve them.
      Returns:
        whether the cursor has more results,

    - #### close

          public Future<Void> close()

      Release the cursor.

      It should be called for prepared queries executed with a fetch size.
      Returns:

    - #### rxClose

          public Completable rxClose()

      Release the cursor.

      It should be called for prepared queries executed with a fetch size.
      Returns:

    - #### isClosed

          public boolean isClosed()

      Returns:
        whether the cursor is closed

    - #### newInstance

          public static Cursor newInstance​(Cursor arg)